Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sns.model
Class ListSubscriptionsResult

    java.lang.Object
      com.amazonaws.services.sns.model.ListSubscriptionsResult

    public class ListSubscriptionsResult

extends Object

List Subscriptions Result

Constructor Summary
`ListSubscriptionsResult()`

Method Summary
`String` | `getNextToken()` Token to pass along to the next ListSubscriptions request.
`List<Subscription>` | `getSubscriptions()` A list of subscriptions.
`void` | `setNextToken(String nextToken)` Token to pass along to the next ListSubscriptions request.
`void` | `setSubscriptions(Collection<Subscription> subscriptions)` A list of subscriptions.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListSubscriptionsResult` | `withNextToken(String nextToken)` Token to pass along to the next ListSubscriptions request.
`ListSubscriptionsResult` | `withSubscriptions(Collection<Subscription> subscriptions)` A list of subscriptions.
`ListSubscriptionsResult` | `withSubscriptions(Subscription... subscriptions)` A list of subscriptions.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListSubscriptionsResult

    public ListSubscriptionsResult()

Method Detail

### getSubscriptions

    public List<Subscription> getSubscriptions()

  A list of subscriptions.

  Returns:
    A list of subscriptions.

### setSubscriptions

    public void setSubscriptions(Collection<Subscription> subscriptions)

  A list of subscriptions.

  Parameters:
    `subscriptions` - A list of subscriptions.

### withSubscriptions

    public ListSubscriptionsResult withSubscriptions(Subscription... subscriptions)

  A list of subscriptions.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `subscriptions` - A list of subscriptions.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSubscriptions

    public ListSubscriptionsResult withSubscriptions(Collection<Subscription> subscriptions)

  A list of subscriptions.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `subscriptions` - A list of subscriptions.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNextToken

    public String getNextToken()

  Token to pass along to the next ListSubscriptions request. This element is returned if there are more subscriptions to retrieve.

  Returns:
    Token to pass along to the next ListSubscriptions request. This element is returned if there are more subscriptions to retrieve.

### setNextToken

    public void setNextToken(String nextToken)

  Token to pass along to the next ListSubscriptions request. This element is returned if there are more subscriptions to retrieve.

  Parameters:
    `nextToken` - Token to pass along to the next ListSubscriptions request. This element is returned if there are more subscriptions to retrieve.

### withNextToken

    public ListSubscriptionsResult withNextToken(String nextToken)

  Token to pass along to the next ListSubscriptions request. This element is returned if there are more subscriptions to retrieve.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `nextToken` - Token to pass along to the next ListSubscriptions request. This element is returned if there are more subscriptions to retrieve.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.